Package org.apache.tapestry5.internal.parser

## Class DTDToken

- java.lang.Object
- - org.apache.tapestry5.ioc.BaseLocatable
  - - org.apache.tapestry5.internal.parser.TemplateToken
    - - org.apache.tapestry5.internal.parser.DTDToken

- All Implemented Interfaces:
    `Locatable`, `RenderCommand`

      public class DTDToken
      extends TemplateToken
      implements RenderCommand

  Represents the presence of a Document Type declaration within a template. The Document type declaration will be output to the client. In the event that multiple declarations are encountered (a page and one or more nested components all declare a document type), the first document type declared will be used.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `name` |
    `String` | `publicId` |
    `String` | `systemId` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DTDToken​(String name, String publicId, String systemId, Location location)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `render​(MarkupWriter writer, RenderQueue queue)` | Invoked on an object to request that it render itself.
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.tapestry5.internal.parser.TemplateToken

      `getTokenType`

    - ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

      `getLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

    - #### publicId

          public final String publicId

    - #### systemId

          public final String systemId

  - ### Constructor Detail

    - #### DTDToken

          public DTDToken​(String name,
                          String publicId,
                          String systemId,
                          Location location)

  - ### Method Detail

    - #### render

          public void render​(MarkupWriter writer,
                             RenderQueue queue)

      Description copied from interface: `RenderCommand`
      Invoked on an object to request that it render itself. This involves a mix of invoking methods on the writer, and queueing up additional commands (often, representing children of the object that was invoked) to perform additional rendering. In this way, rendering is a tail recursive algorithm, but is not implemented using tail recursion.
      Specified by:
        `render` in interface `RenderCommand`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`